Bug 841487 - Synaptics touchpad not detected properly
Synaptics touchpad not detected properly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 03:11 EDT by Nandan Bhat
Modified: 2013-03-28 09:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 09:55:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (60.37 KB, text/plain)
2012-07-19 03:11 EDT, Nandan Bhat
no flags Details
lspci -vvnn output (11.51 KB, text/plain)
2012-07-19 03:12 EDT, Nandan Bhat
no flags Details
lsusb -vv output (24.87 KB, text/plain)
2012-07-19 03:13 EDT, Nandan Bhat
no flags Details
Xorg log (28.52 KB, text/x-log)
2012-07-19 03:13 EDT, Nandan Bhat
no flags Details
10-evdev.conf from /usr/share/X11/xorg.conf.d (1.08 KB, application/octet-stream)
2012-07-19 03:14 EDT, Nandan Bhat
no flags Details
10-synaptics.conf from /usr/share/X11/xorg.conf.d (1.91 KB, application/octet-stream)
2012-07-19 03:17 EDT, Nandan Bhat
no flags Details

  None (edit)
Description Nandan Bhat 2012-07-19 03:11:09 EDT
Created attachment 599084 [details]
dmesg output

Description of problem:
My hp Pavilion dv6 synaptics touchpad is being detected as a pointer by X server.

I have tried to comment out evdev touchpad catchall portion in /usr/share/X11/xorg.conf.d/10-evdev.conf AND enabling a synaptics InputClass in another file /usr/share/X11/xorg.conf.d/10-synaptics.conf, but no luck.

My problem is that I cannot disable touchpad with evdev. With synaptics driver, I could disable tap when required. Simple tasks like typing becomes very frustrating with the touchpad  getting accidental taps.

Version-Release number of selected component (if applicable):

X.Org X Server 1.12.0
Release Date: 2012-03-04

uname -a: Linux nandan.localdomain 3.4.4-5.fc17.x86_64 #1 SMP Thu Jul 5 20:20:59 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

xinput list output
⎡ Virtual core pointer                          id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                id=4    [slave  pointer  (2)]
⎜   ↳ PS/2 Generic Mouse                        id=11   [slave  pointer  (2)]
⎜   ↳ Logitech USB-PS/2 Optical Mouse           id=13   [slave  pointer  (2)]
⎣ Virtual core keyboard                         id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard               id=5    [slave  keyboard (3)]
    ↳ Power Button                              id=6    [slave  keyboard (3)]
    ↳ Video Bus                                 id=7    [slave  keyboard (3)]
    ↳ Power Button                              id=8    [slave  keyboard (3)]
    ↳ HP Webcam                                 id=9    [slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard              id=10   [slave  keyboard (3)]
    ↳ HP WMI hotkeys                            id=12   [slave  keyboard (3)]

How reproducible:
Random (Some times the synaptics driver loads fine (automatically) and I get output for synclient -l. But other times, I get 

   Couldn't find synaptics properties. No synaptics driver loaded?

This is true whether or not I attach the external Logitech Optical USB mouse at boot time.

Steps to Reproduce:
1. Boot laptop
2. Check with synclient -l if synaptics driver got loaded.
3.
  
Actual results:
Random experiences with synaptics or evdev driver loaded after loading X server

Expected results:
Synaptics driver loaded every time.

Additional info:
Comment 1 Nandan Bhat 2012-07-19 03:12:09 EDT
Created attachment 599085 [details]
lspci -vvnn output
Comment 2 Nandan Bhat 2012-07-19 03:13:00 EDT
Created attachment 599086 [details]
lsusb -vv output
Comment 3 Nandan Bhat 2012-07-19 03:13:32 EDT
Created attachment 599087 [details]
Xorg log
Comment 4 Nandan Bhat 2012-07-19 03:14:29 EDT
Created attachment 599088 [details]
10-evdev.conf from /usr/share/X11/xorg.conf.d
Comment 5 Nandan Bhat 2012-07-19 03:17:09 EDT
Created attachment 599089 [details]
10-synaptics.conf from /usr/share/X11/xorg.conf.d
Comment 6 Peter Hutterer 2013-01-29 02:49:34 EST
Device is recognised as PS/2 generic mouse only which is a sign that the kernel does not yet switch this device into touchpad mode. Reassigning.
Comment 7 Josh Boyer 2013-03-14 14:30:30 EDT
Is this still happening with 3.8.2 in updates-testing?
Comment 8 Josh Boyer 2013-03-28 09:55:56 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.